Version: 6.5.85 (1589008-438) (6585438)
arm
Package: com.google.android.gms
233,473 downloads
29.14 MB (30,553,536 bytes)
Min: Android 5.0 (Lollipop, API 21)
Target: Android 4.4 (Kitkat, API 19)
480dpi
65b430c7bc7d70ae8664a0145c1dc34d
Android Wear
Uploaded November 18, 2014 at 5:57AM UTC by Artem Russakovskii
Download APK
There's a newer version available below!

Whoa there!

It looks like you're using an ad blocker, so you'll have to wait 15 more seconds.
Please disable your ad blocker to skip the wait and help support the site.

APK Notes:

Sent to us by a tipster who says he took it from a Nexus 5 running Lollipop.

App Notes:

To figure out the right version of Google Play services for your Android device, download Play Services info or go to Settings -> Apps -> Google Play services, and look at the 3-digit sequence (let's use XYZ) in the parentheses:

* X defines Android version:

  • 0 for Android <5.0
  • 2 for Android 5.0 and 5.1 starting with Play Services v8
  • 4 for Android 5.0 and 5.1 before Play Services v8, Android >= 6.0 after
  • 5 for Android Wear
  • 7 for Android 5.0
  • 8 for Android TV

* Y defines CPU architecture:

  • 1 for armeabi
  • 3 for armeabi-v7a
  • 4 for arm64-v8a
  • 5 for mips
  • 7 for x86
  • 8 for x86_64

* Z defines DPI:

  • 0 for universal
  • 2 for 160
  • 4 for 240
  • 6 for 320
  • 8 for 480

Notes:

  • It seems that 7YZ builds became 4YZ with Google Play services v6.5. If you were on 7YZ before, you should now install 4YZ.
  • It seems that 4YZ builds got split into 2YZ for Lollipop and 4YZ for Marshmallow with Google Play services v8. If you were on 4YZ before, you should now install 2YZ in Lollipop and 4YZ in Marshmallow.
  • Examples:

    • 014 for Android <5.0 armeabi CPU 240 DPI device
    • 438 for Android 6.0+ armeabi-v7a CPU 480 DPI device
    • 876 for Android TV x86 CPU 320 DPI device

This release does not have a Play Store Description, so we grabbed one from version 10.0.84:

Google Play services is used to update Google apps and apps from Google Play.
This component provides core functionality like authentication to your Google services, synchronized contacts, access to all the latest user privacy settings, and higher quality, lower-powered location based services.
Google Play services also enhances your app experience. It speeds up offline searches, provides more immersive maps, and improves gaming experiences.
Apps may not work if you uninstall Google Play services.

This release comes in several variants. Consult our handy FAQ to see which download is right for you.

Variant
Arch
Version
DPI
6.5.85 (1589008-010)
November 18, 2014
arm
Android 2.3+
nodpi
6.5.85 (1589008-030)
November 18, 2014
arm
Android 2.3+
nodpi
6.5.85 (1589008-032)
November 18, 2014
arm
Android 2.3+
160dpi
6.5.85 (1589008-034)
November 18, 2014
arm
Android 2.3+
240dpi
6.5.85 (1589008-036)
November 18, 2014
arm
Android 2.3+
320dpi
6.5.85 (1589008-038)
November 18, 2014
arm
Android 2.3+
480dpi
6.5.85 (1589008-070)
November 18, 2014
x86
Android 2.3+
nodpi
6.5.85 (1589008-438)
November 18, 2014
arm
Android 5.0+
480dpi
Previous APKs for (438) variant
All versions
October 29, 2016
September 29, 2016
Comments
  • BlahBlahDoo

    ‘4’38? What’s with the 4? I thought only 0 and 7 existed.

    • Mine has 738. So which should I install for my Nexus 5 running Lollipop?

      • N5

        The 438 works on my N5 with Lollipop

        • CoZ

          I’ve installed that but still don’t have the trusted location. And, I’ve got a running sync loop now in android wear.

          • César Augusto Ramírez Franco

            Have you found out what that “running sync loop” means? I have it all the time as well since installing this

          • rich_bown

            I have the “running sync loop” with my moto360 too. Not sure if it’s related but it got really hot and drained the battery very fast too. If you find out what it means I would love to know too.

          • Jake

            Yes, the “running sync loop” message on my moto 360 is definitely related to my install of Google Play Services 6.5 (-036 version) from APKMirror on my Moto 360. Additionally since last night I started getting crashes of Play Services and location services. I had to device administrator privileged for Android Device Manager, then uninstall updates for Google Play Services, then update it to the previous version, 6.1.88. Then I reset the moto 360. All is back to normal.

          • rich_bown

            Just done the same for me, all OK again

          • roberto.elena

            You have to go to Settings/Security/Trust agents. There you activate “Smart Lock (Google)”.

          • CoZ

            Thanks. But smart lock is already enabled and working (connected to Moto360).
            The location part is no where to be found.

    • THE_KINGDOM

      yea I’m wondering can anybody confirm the version for Nexus 5, running lollipop 5.0

  • Carrib Blue

    Any info on the rest of the variants for 6.5.85? Would like 836, but 036 would be helpful.

  • Enzo Fracasso

    “Errore durante l’analisi del pacchetto”

  • Ace Ferdinand

    I’m not sure if I have to wait for the -738 variant or if the -438 is the new variant for the Nexus 5 … This statement confuses me “You’ll see something like -XYY where X is 0 for pre-Lollipop and 7 for Lollipop+, and YY is a specific variant id. -738 means you need the APK that has -738, etc” because it doesn;t say anything about “4” …

  • César Augusto Ramírez Franco

    I think this update may have fixed the “Recent Apps” bug:

    https://plus.google.com/117517780838393622703/posts/K7u51wq7L2i

  • Gintor

    Is there something special that needs to be done to install this. I’m running 5.0 on N5 and keep getting an “App not installed error.” Same when trying the -038 version. The current version on my phone is 6.1.88 (1557022-738). I’ve tried disabling play services and uninstalling updates then upgrading using this apk and I’ve tried upgrading back to 6.1.88 from the store first then using the apk but nothing seems to work

    • Bilal Aahil

      To figure out the right version of Google Play Services for your Android device, go to Settings -> Apps -> Google Play services, and look at the last 3 numbers in the parentheses. You’ll see something like -XYY where X is 0 for pre-Lollipop and both 4 and 7 for Lollipop+, and YY is a specific variant id. -738 means you need the APK that has-738, etc. <—- did you read this above?

      • Gintor

        There is no -738. Comments say to use -438 on Nexus 5 and the description says it comes from Nexus 5 running Lollipop

        • Bilal Aahil

          i was looking into it and on XDA forum they had -438 listed under “Version number has -X38 – 480 DPI & armeabi-v7a CPU” which is what i always install for Nexus 5
          i guess they have changed 7 to 4 in this version of play services for Lollipop

  • Nico Salvador

    Installed this on my Nexus 5, but got a “Connected, running sync loop” on Android Wear.

    • Mateusz Garczyński

      Same here ;/

      • Abhishek

        Same here, Any Pointers ???

  • Spamhilator

    438 worked for my Nexus 5 after restarting the device.

  • Henrique Persechini

    I installed 438 on both my Nexus 4 and Nexus 7 (2013 wifi) and it seems to work, I can use location smartlock on both devices after activating google location services and rebooting, and so far I haven’t encountered any negative effect

  • Subhojit

    Tried installing Google Play services 6.5.85 (1589008-438) (Android 5.0+) on my Nexus 4 running 5.0 (current version 6.1.88 (1557022-738)), reboot, still ‘App not installed’.
    Phew!

  • Bilal Aahil

    shouldn’t “438” be “738” ??

  • marc2re

    Installed 438 on my N5 but should have installed 738. any advice on how to correct this? I tried installing 738 over 438 but it won’t install.

    • Danne Khamonrah Wahlgren

      Where do you get 738? Older version?

  • JD

    My device micromax A106 In lollipop is update Yes and No pls. Sir

  • DvineDNO

    I got a nexus 4 and is -736 so I don’t know which one to use.

  • BlahBlahDoo

    Will this work on Nexus 10?

  • My nexus 9 has -748. I guess I’m waiting for the OTA update from the play store, then?

  • Lachy

    Have received 3 ‘Google play services has stopped working’ messages since installing this on my nexus 5 running lollipop. And yes I’ve installed the correct version.

  • Odwalla

    Used 6.5.86( -034 ) on a 2012 Nexus 7. Continually got a services verification error and Google Play Store would no longer connect. All Smart related unlock entries had been removed from my Settings/Security page.

    I went to Settings / Apps and uninstalled all updates. I’ll live without Smart Locations until Google officially pushes this out.

  • PiotrButkiewicz

    Blarg! Does anyone know which version works with Nexus 4? I think I flashed the wrong version 6.5.85 (1589008-438) came out and it didn’t work. I couldn’t uninstall updates (option greyed out), and in my haste I didn’t check my original version before installing the apk, so I dunno which update to get now.
    Help pls?

  • NothingsSacredNow

    It won’t install. I have 738.

  • Syed Mohammed Ameen

    Sony Confirms Android 5.0 Lollipop Update For Its Xperia Z Series

    Check Out Here- http://goo.gl/tXBQ9c

  • rajman

    A107_XM_M9600_RWI_v2 00.is my phone which don’t hav google services and doesn’t supports it when downloaded from other store it says ‘not instelled.is there any version of google service that supports it m9600 model

  • Naidu

    I’m using moto g second generation, can any one suggest me the version of Google play services app for my mobile with android lollipop

  • John Roche

    Go into setting, security, trust agents and enable smart lock. Then go into settings, security, smart lock and select trusted devices, trusted places and on body as you wish.

  • seb

    Didn’t work